define(['testsuite/qunit', 'jquery', 'ep/colorpicker', 'testsuite/simulate', '$ready!'], function (QUnit, $, ep) {

	QUnit.module("ep.colorpicker");

	QUnit.asyncTest("ep.colorpicker",	function() {

		var	cp = new ep.Colorpicker();

		$('body').append(cp.elem);

		QUnit.equal(
			$.isPlainObject(cp),
			false,
			"$.isPlainObject(cp)"
		);

		QUnit.equal(
			cp instanceof	ep.Colorpicker,
			true,
			"cp	instanceof ep.Colorpicker"
		);

		// create	and	trigger	mousedown	event	to simulate	the	color	selection
		var	e	=	$.Event('mousedown', {pageX: 235,	pageY: 248});
		cp.elem.trigger(e);
		cp.elem.trigger('mouseup');

	    setTimeout(function(){
	    		equal(
				cp.hue,
				198.00000000000003,
				"cp.hue"
			);

			QUnit.start();
	    }, 100);


		// simulate	drag event
		cp.elem.trigger('mousedown');
		cp.elem.simulate('Drag', {dx:	10,	dy:	10});
		cp.elem.trigger('mouseup');

		QUnit.equal(
			cp.sat,
			62.5,
			"cp.sat"
		);

	});

});